Bug 492866 - Xen guest kernel advertises absolute mouse pointer feature which it is incapable of setting up correctly
Summary: Xen guest kernel advertises absolute mouse pointer feature which it is incap...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen
Version: 5.4
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Markus Armbruster
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks: 223805 492568
TreeView+ depends on / blocked
 
Reported: 2009-03-30 13:28 UTC by Daniel Berrangé
Modified: 2009-09-02 08:17 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 492868 (view as bug list)
Environment:
Last Closed: 2009-09-02 08:17:04 UTC
Target Upstream Version:


Attachments (Terms of Use)
Change PVFB not to select abs. pointer by default (1.40 KB, patch)
2009-04-14 18:17 UTC, Markus Armbruster
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1243 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.4 kernel security and bug fix update 2009-09-01 08:53:34 UTC

Description Daniel Berrangé 2009-03-30 13:28:59 UTC
Description of problem:
The PVFB graphics driver includes a paravirt mouse input device. When talking to the host OS over xenbus, it advertises that it supports absolute coordinate mode. RHEL-5 userspace is incapable of actually running the mouse in absolute mode by default though, so out of the box the guest OS is doing abs -> rel coordinate conversion.  This in turn causes problems for anyone connecting to the guest OS using the VNC server in the host OS because their mouse pointer will likely hit an invisible wall.

The absolute mouse coordinate feature should be disabled by default in RHEL-5 guest kernels. A boot parameter, or other tunable should be provided to allow absolute mode to be re-enabled  if the admin has manually configured an xorg.conf that supports it.

Version-Release number of selected component (if applicable):
kernel-xen-2.6.18-128.el5

How reproducible:
Always

Steps to Reproduce:
1. Boot RHEL-5 guest
2. On host run xenstore-ls /local/domain/0/backend/vkbd
3.
  
Actual results:
  feature-abs-pointer = "1"


Expected results:
  feature-abs-pointer = "0"


Additional info:

Comment 1 Markus Armbruster 2009-04-14 18:14:14 UTC
Xenstore node /local/domain/0/backend/vkbd shows whether the backend (host) offered the feature.  To see whether the frontend (guest) accepted it, which is what you want here, you run

# xenstore-read /local/domain/$DOMID/device/vkbd/0/request-abs-pointer

Comment 2 Markus Armbruster 2009-04-14 18:17:31 UTC
Created attachment 339538 [details]
Change PVFB not to select abs. pointer by default

This patch makes the xenkbd driver reject absolute pointers, unless they
are enabled with kernel parameter xenkbd.abs_pointer=1.

Comment 3 Don Zickus 2009-04-27 16:00:33 UTC
in kernel-2.6.18-141.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.

Comment 7 Alan Matsuoka 2009-06-05 12:17:20 UTC
The original change was at the request of the TAM. I've knocked it down to high/high since the fix is at the ON_QA state.

Comment 13 errata-xmlrpc 2009-09-02 08:17:04 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html


Note You need to log in before you can comment on or make changes to this bug.